This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165573 - Review Request: perl-Test-Taint
Review Request: perl-Test-Taint
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/Test-Taint
:
Depends On:
Blocks: FE-ACCEPT 165574 165650
  Show dependency treegraph
 
Reported: 2005-08-10 11:40 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-11 12:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-10 11:40:18 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-Taint.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-Taint-1.04-1.src.rpm

Description:
Tainted data is data that comes from an unsafe source, such as the command
line, or, in the case of web apps, any GET or POST transactions. Read the
perlsec man page for details on why tainted data is bad, and how to untaint
the data.

When you're writing unit tests for code that deals with tainted data, you'll
want to have a way to provide tainted data for your routines to handle, and
easy ways to check and report on the taintedness of your data, in standard
Test::More style.
Comment 1 Jose Pedro Oliveira 2005-08-10 12:41:56 EDT
PUBLISH++

MD5SUMS:
ecc1415263647bdf088ddb61baf2fb7c  perl-Test-Taint-1.04-1.src.rpm

7a0ede45980f78d5eeff597202ee464a  perl-Test-Taint.spec
a005ab5a2e22ab462b4f3661d1d1d5e0  Test-Taint-1.04.tar.gz

Sources:
* Test-Taint-1.04.tar.gz: MD5 digest verified against the CPAN tarbell

Good:
* Package name follows standard
* URL and Source0 URL are valid
* License verified (in Taint.pm)
* Build Requirements are correct
* perl(:MODULE_COMPAT_xxx) requirement present
* perl vendor libs present
* File permissions are correct
* Builds without problems in FC-3 and FC-4
* (Un)installs without problems in FC-3 and FC-4
* No opened bugs in http://rt.cpan.org/NoAuth/Bugs.html?Dist=Test-Taint
  (only a RFE)
Comment 2 Jose Pedro Oliveira 2005-08-13 16:40:28 EDT
Ralf,

Could you build this package for FC3 and FC4?

TIA,
jpo
Comment 3 Ralf Corsepius 2005-08-14 00:04:25 EDT
(In reply to comment #2)
> Could you build this package for FC3 and FC4?
Done ... bad timing. First, the branch request took some time to be processed,
then I had been off-line ...

Note You need to log in before you can comment on or make changes to this bug.